Package org.codehaus.janino

# Interface Visitor.TypeVisitor<R,EX extends Throwable>

Type Parameters:
  `R` - The type of the object returned by the `visit*()` methods
  `EX` - The exception that the `visit*()` methods may throw

Enclosing class:
  `Visitor`

public static interface Visitor.TypeVisitor<R,EX extends Throwable>
The visitor for all kinds of `Java.Type`s.

## Method Summary

Modifier and Type
Method
Description
`R`
`visitArrayType(Java.ArrayType at)`
Invoked by `Java.ArrayType.accept(Visitor.TypeVisitor)`
`R`
`visitPrimitiveType(Java.PrimitiveType bt)`
Invoked by `Java.PrimitiveType.accept(Visitor.TypeVisitor)`
`R`
`visitReferenceType(Java.ReferenceType rt)`
Invoked by `Java.ReferenceType.accept(Visitor.TypeVisitor)`
`R`
`visitRvalueMemberType(Java.RvalueMemberType rmt)`
Invoked by `Java.RvalueMemberType.accept(Visitor.TypeVisitor)`
`R`
`visitSimpleType(Java.SimpleType st)`
Invoked by `Java.SimpleType.accept(Visitor.TypeVisitor)`

## Method Details

### visitArrayType

@Nullable R visitArrayType(Java.ArrayType at) throws EX
Invoked by `Java.ArrayType.accept(Visitor.TypeVisitor)`

Throws:
  `EX`

### visitPrimitiveType

@Nullable R visitPrimitiveType(Java.PrimitiveType bt) throws EX
Invoked by `Java.PrimitiveType.accept(Visitor.TypeVisitor)`

Throws:
  `EX`

### visitReferenceType

@Nullable R visitReferenceType(Java.ReferenceType rt) throws EX
Invoked by `Java.ReferenceType.accept(Visitor.TypeVisitor)`

Throws:
  `EX`

### visitRvalueMemberType

@Nullable R visitRvalueMemberType(Java.RvalueMemberType rmt) throws EX
Invoked by `Java.RvalueMemberType.accept(Visitor.TypeVisitor)`

Throws:
  `EX`

### visitSimpleType

@Nullable R visitSimpleType(Java.SimpleType st) throws EX
Invoked by `Java.SimpleType.accept(Visitor.TypeVisitor)`

Throws:
  `EX`